summaryrefslogtreecommitdiff
path: root/source3/script/tests/functions
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2006-03-21 22:16:44 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:15:40 -0500
commited9ad1827bcead21483ce59464b5e3da7a509d29 (patch)
tree280fdd17338e6988e4f3016e8651251449d7a810 /source3/script/tests/functions
parent4ba096740ff8773d7108ca24c6af9a47d085fa00 (diff)
downloadsamba-ed9ad1827bcead21483ce59464b5e3da7a509d29.tar.gz
samba-ed9ad1827bcead21483ce59464b5e3da7a509d29.tar.bz2
samba-ed9ad1827bcead21483ce59464b5e3da7a509d29.zip
r14632: add basic 'make test' using samba4's smbtorture
I'll try to add some tests using samba3's smbtorture and smbclient later. can someone check if this would be save to run on the build-farm without leaking child processes... metze (This used to be commit 899fd6808ebd04d039caf7199c60d34a4987b43a)
Diffstat (limited to 'source3/script/tests/functions')
-rw-r--r--source3/script/tests/functions82
1 files changed, 0 insertions, 82 deletions
diff --git a/source3/script/tests/functions b/source3/script/tests/functions
deleted file mode 100644
index 8cb8f0b155..0000000000
--- a/source3/script/tests/functions
+++ /dev/null
@@ -1,82 +0,0 @@
-##
-## library file for test functions
-##
-
-##
-## start/stop smbd daemon
-##
-check_smbd_running()
-{
- ## the smbcontrol ping will return a 0 on success
- smbcontrol $CONFIGURATION smbd ping 2>&1 > /dev/null
-}
-
-start_smbd()
-{
- echo "Starting smbd...."
-
- smbd $CONFIGURATION || return $?
-
- sleep 1
-
- smbcontrol $CONFIGURATION `cat $PIDDIR/smbd.pid` ping 2>&1 > /dev/null || return $?
-}
-
-stop_smbd()
-{
- smbd_pid=`cat $PIDDIR/smbd.pid`
- echo "Shutting down smbd (pid $smbd_pid)..."
-
- ## belt and braces; first kill and then send a shutdown message
-
- kill -TERM $smbd_pid
- smbcontrol $CONFIGURATION smbd shutdown
-
- ## check to see if smbd is already running
- check_smbd_running
- if test $? = 0; then
- echo "Unable to stop smbd!"
- exit 2
- fi
-}
-
-
-##
-## start/stop smbd daemon
-##
-check_nmbd_running()
-{
- ## the smbcontrol ping will return a 0 on success
- smbcontrol $CONFIGURATION nmbd ping 2>&1 > /dev/null
-}
-
-start_nmbd()
-{
- echo "Starting nmbd...."
-
- nmbd $CONFIGURATION || return $?
-
- sleep 1
-
- # smbcontrol $CONFIGURATION `cat $PIDDIR/nmbd.pid` ping 2>&1 > /dev/null || return $?
- kill -0 `cat $PIDDIR/nmbd.pid`
-}
-
-stop_nmbd()
-{
- nmbd_pid=`cat $PIDDIR/nmbd.pid`
- echo "Shutting down nmbd (pid $nmbd_pid)..."
-
- ## belt and braces; first kill and then send a shutdown message
-
- kill -TERM $nmbd_pid 2> /dev/null
- sleep 1
-
- ## check to see if smbd is already running
- kill -0 $nmbd_pid 2> /dev/null
- if test $? = 0; then
- echo "Unable to stop nmbd!"
- exit 2
- fi
-}
-